Bug 917682 - storage allocation checks when cloning a snapshot
Summary: storage allocation checks when cloning a snapshot
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Vered Volansky
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Keywords:
Depends On:
Blocks: 960934
TreeView+ depends on / blocked
 
Reported: 2013-03-04 14:49 UTC by Gianluca Cecchi
Modified: 2016-02-10 17:41 UTC (History)
7 users (show)

(edit)
Clone Of:
: 1053751 (view as bug list)
(edit)
Last Closed: 2014-10-17 12:28:06 UTC


Attachments (Terms of Use)
error in webadmin gui when insufficient space (43.26 KB, image/png)
2013-03-04 14:53 UTC, Gianluca Cecchi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 26734 master MERGED core: Fix AddVm faulty storage allocation checks Never

Description Gianluca Cecchi 2013-03-04 14:49:35 UTC
Description of problem:
If you create a clone from snapshot and if the target SD has not sufficent space, the error message is cryptic

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-3.2.0-4.fc18.noarch

How reproducible:
always

Steps to Reproduce:
1. create vm
2. create snapshot
3. create clone from snapshot selecting SD with unsufficient space
  
Actual results:
You get a cryptic error
https://docs.google.com/file/d/0BwoPbcrMv8mvaW9OVW84WVI1dkU/edit?usp=sharing

Expected results:

suggest oVirt to at least behave this way:

1) pre-calculate necessary space and in case of problems don't start
the clone operation but open a warning message window to the user impeding it

If during 1) all was ok but in the mean time it went KO (eg unexpected new
storage allocated that made impossible clone completion)
2) notify the user with the actual problem (insufficient space) and
not those crypic messages....

Additional info:

1) could be further enhanced proposing the user a window with the storage domains able to satisfy his/her request based on VM storage requirements for the VM he/she is going to clone, and not forcing the user to manually go inside "resource allocation" section of "clone vm" window with a drop-down list of storage domains, but without the actual free space at the moment that is a crucial info.


Also, the storage main page in webadmin gui could contain a column reporting  the overall configured storage for that storage domain, and not only the free space column.

Thanks for attention,
Gianluca

Comment 1 Gianluca Cecchi 2013-03-04 14:53:09 UTC
Created attachment 705003 [details]
error in webadmin gui when insufficient space

I also attach the image pointe by google drive link provided before...

Comment 4 Sandro Bonazzola 2014-03-04 09:26:16 UTC
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Comment 5 Kevin Alon Goldblatt 2014-07-09 11:31:59 UTC
I tried creating a clone of a snapshot which included preallocated disks. I chose as a target a storage domain that was limited by quota. An error message was displayed immediately on attempting to create the clone, indicating that there was insufficient space. Moving to Verified

Comment 6 Sandro Bonazzola 2014-10-17 12:28:06 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.